Bug 129796 - Disassembly gets in tight request loop
Disassembly gets in tight request loop
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
All All
: P1 (vote)
: TBD
Assigned To: Egor Ushakov
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 16:03 UTC by _ gordonp
Modified: 2009-06-25 10:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ gordonp 2008-03-11 16:03:42 UTC
Running quote sample, I set a bp i readNumberOf function ("if (amount < min)" line) and ran
to it. At this point, the disassembly portion of gdb-lite started sending continuous
-data-disassemble commands to gdb, all for the same line. In the minute or so I sat watching
this, my gdb-cmds*.log file grew to 3.6MB. Of 2600 lines, over 2500 were -data-disassemble
commands for the same line.

I experimented by stopping several other places. I got the same disassembly loop several
times (although when I stopped in main at the ourCustomersList() call I didn't get this
looping).
Comment 1 Egor Ushakov 2008-03-11 19:17:56 UTC
fixed with the changeset:
http://hg.netbeans.org/main/rev/a9a74a2b1675
Comment 2 Alexander Pepin 2008-04-07 16:11:31 UTC
The -data-disassemble command was found in gdb.log only once and I mark the issue as verified in NB6.1 build 200804040802


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo